Subject: Re: [PATCHSET] libata: PATA driver for Celleb

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 20 Feb 2007 10:28:40 +1100

On Tue, 2007-02-20 at 00:17 +0100, Bartlomiej Zolnierkiewicz wrote:
> On Tuesday 20 February 2007 00:46, Alan wrote:
> > > > into one in drivers/ide but really want splitting for libata with some
> > > > kind of libata-pmac owning the shared stuff
> > > 
> > > You meand driver/ide/ppc/pmac.c ?
> > 
> > Yes
> > 
> > > moving them out of the macio_asic to a PCI device at one point, so yes,
> > > maybe you are right, I should move the DMA bits to some "common" file
> > > and split the various implementations.
> > 
> > I suspect it is worth doing when moving to libata at least, even if not
> > for the older driver.
> 
> fully agreed, the way to go for both drivers

I don't think it's worth touching the drivers/ide version.

Ben.